/*

Additional styling for nowy_projekt
Author: GeekRoom.pl

*/


/*******************************************************
***********************SOME STUFF
******************************************************/

* {
	background-repeat: no-repeat;
}

html, html a {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-shadow: 1px 1px 1px rgba(0,0,0,0.004);
}

body,
html {
		margin: 0;
		padding: 0;
		background: #FFFFFF;
		font-family: 'Muli', sans-serif;
		font-size: 12px;
		color: #DFDFDF;
		line-height: 1;
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
	line-height: 1; 
	color: #DFDFDF; 
	font-weight: 400;
	font-family: 'Muli', sans-serif;
	margin: .5em 0 .5em 0;
	letter-spacing: 1px;
}

h1, .h1 {
	font-size: 28px;
}

h2, .h2 {
	font-size: 21px;
}

h3, .h3 {
	font-size: 16px;
}

h4, .h4 {
	font-size: 12px;
}

h5, .h5 {
	font-size: 9px;
}

h6, .h6 {
	font-size: 7px;
}

a,
a:visited {
	color: #C0976B;
	text-decoration: none;
	-webkit-transition: 0.2s background ease-out;
	-moz-transition: 0.2s background ease-out;
	transition: 0.2s background ease-out;
}

a:hover, 
a:active, 
a:focus,
a.hover {
	color: #C0976B;
	text-decoration: none;
}

/* BUTTONS */

.btn,
.btn:visited,
input.btn,
button {
	border-radius: 0;
	border: 1px solid #ccc;
	font-size: 12px;
	padding: .8em 3em .9em 3em;
	color: #ccc;
	font-family: 'Muli', sans-serif;
	-webkit-transition: 0.2s all ease-out;
	-moz-transition: 0.2s all ease-out;
	transition: 0.2s all ease-out;
	line-height: 1;
	background-color: #DFDFDF;
	box-sizing: border-box;
	text-decoration: none !important;
	text-transform: uppercase;
	font-weight: normal;
}

.btn-default,
.btn-default:visited,
input.btn-default {
	background-color: #DFDFDF;
	border-color: #ccc;
	color: #555;
}

.btn-default:hover,
.btn-default:active,
.btn-default:focus,
.btn-default.hover {
	background-color: #eee;
	border-color: #ccc;
	color: #555;
}

.btn-primary,
.btn-primary:visited,
input.btn-primary,
.woocommerce button.button.alt,
.woocommerce input.button.alt, 
.woocommerce a.button.alt,
.woocommerce .button.alt {
	background-color: #C0976B;
	border-color: #C0976B;
	color: #DFDFDF;
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus,
.btn-primary.hover {
	background-color: #a07e58;
	border-color: #a07e58;
	color: #DFDFDF;
}

.btn-secondary,
.btn-secondary:visited,
input.btn-secondary {
	background-color: #f0ad4e;
	border-color: #f0ad4e;
	color: #DFDFDF;
}

.btn-secondary:hover,
.btn-secondary:active,
.btn-secondary:focus,
.btn-secondary.hover {
	background-color: #eea236;
	border-color: #eea236;
	color: #DFDFDF;
}

.btn-white,
.btn-white:visited,
input.btn-white {
	background-color: #DFDFDF;
	border-color: #C0976B;
	color: #C0976B;
}

.btn-white:hover,
.btn-white:active,
.btn-white:focus,
.btn-white.hover {
	background-color: #C0976B;
	border-color: #C0976B;
	color: #DFDFDF;
}

.btn.disabled,
.btn.disabled:visited,
input.btn.disabled {
	background-color: #e6e6e6;
	border-color: #e6e6e6;
	color: #999;
	cursor: not-allowed;
}

.btn.disabled:hover,
.btn.disabled:active,
.btn.disabled:focus,
.btn.disabled.hover {
	background-color: #d6d6d6;
	border-color: #d6d6d6;
	color: #999;
}

.btn-xl, 
input.btn-xl {
	font-size: 32px;
}

.btn-lg, 
input.btn-lg {
	font-size: 24px;
}

.btn-sm, 
input.btn-sm {
	font-size: 12px;
}

.btn-xs, 
input.btn-xs {
	font-size: 10px;
}

.btn-100,
input.btn-100 {
	width: 100%;
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.btn-center,
input.btn-center {
	display: table;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
}

.btn-arrow:after,
input.btn-arrow:after {
	content: '';
	margin-left: .5em;
	font-family: 'FontAwesome';
	font-size: .75em;
	width: 15px;
	height: 10px;
	display: inline-block;
	vertical-align: 0;
	background-image: url(./img/arrow.png);
	background-repeat: no-repeat;
	background-position: center center;
}

.btn-no-border,
.no-border {
	border: none !important;
}


/* NO SELECT */


.no-select {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none;   /* Chrome/Safari/Opera */
  -khtml-user-select: none;    /* Konqueror */
  -moz-user-select: none;      /* Firefox */
  -ms-user-select: none;       /* IE/Edge */
  user-select: none;           /* non-prefixed version, currently
                                  not supported by any browser */
}

/* INPUTS */
input {
	color: #383838;
}


input[type=text],
input[type=url],
input[type=tel],
input[type=number],
input[type=color],
input[type=email],
input[type=search],
input[type=password],
input[type=file],
textarea, 
textarea.form-control {
	border: 1px solid #e2e2e2;
	border-radius: 0;
	font-size: 12px;
	padding: .2em .5em .4em .5em;
	color: #383838;
	line-height: 12px;
	-webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none;
    display: inline-block;
    vertical-align: top;
}

textarea, 
textarea.form-control {
	line-height: 1.2;
}

.navbar-brand { 
	cursor: pointer;
}

.navbar { 
	border-radius: 0px; 
	border: none;
}

ul, ol {
	margin: 0;
}

ul {
	list-style-type: disc;
}

.clear {
	clear: both;
}

a.svg {
	position: relative;
	display: inline-block;
}

a.svg:after {
	content: "";
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
}

label,
.label {
	font-weight: normal;
	color: #3d3d3d;
}

.wp-caption {
	border: none;
}

::selection {
	color: #DFDFDF;
  background: #FB5E66; /* WebKit/Blink Browsers */
}

::-moz-selection {
	color: #DFDFDF;
  background: #FB5E66; /* Gecko Browsers */
}

.row.equal-columns {
	overflow: hidden; 
}

.row.equal-columns > [class*="col-"]{
    margin-bottom: -99999px;
    padding-bottom: 99999px;
}

/* RATIOS */

.ratio-16-9,
.ratio-4-3,
.ratio-2-1,
.ratio-1-1 {
	position: relative;
	width: 100%;
	overflow: hidden;
}
.ratio-16-9:before{
	content: "";
	display: block;
	padding-top: 56.25%; 	
}
.ratio-4-3:before{
	content: "";
	display: block;
	padding-top: 75%; 
}
.ratio-2-1:before{
	content: "";
	display: block;
	padding-top: 50%; 
}
.ratio-1-1:before{
	content: "";
	display: block;
	padding-top: 100%; 
}

.ratio-16-9 > *,
.ratio-4-3 > *,
.ratio-2-1 > *,
.ratio-1-1 > * {
	position: absolute !important;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
}

.focus-outline { 
  -webkit-transition: none !important;
  -moz-transition: none !important;
  transition: none !important;
  outline: 2px solid #777 !important;
  outline-offset: 1px !important;
}

a.visible-on-focus:focus {
  width: auto;
  height: auto;
  font-size: 10px;
  border: none;
  padding-left: 5px !important;
  position: static;
  -webkit-transition: none !important;
  -moz-transition: none !important;
  transition: none !important;
}

/*******************************************************
*********************** FRONT PAGE
******************************************************/

#page {
	padding-bottom: 30px;
	background-color: #445;
	min-height: 100vh;
	width: 100%;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
}

.main-container {
	margin-top: 75px;
	text-align: center;
}

img.front-main-logo {
	margin: 0 auto 45px auto;
	max-width: 350px;
}

.front-coming-soon-title {
	text-transform: uppercase;
	font-size: 12px;
	margin-bottom: 30px;
	letter-spacing: 2px;
}

.front-countdown-box {
	box-shadow: 0 3px 7px 0 rgba(0,0,0,0.1);
	background-color: #DFDFDF;
	padding: 15px;
	margin-bottom: 30px;
}

.front-countdown-container {
	text-align: center;
	margin-bottom: 15px;
}

.js-front-countdown-container {
	transition: .3s all ease-out;
	opacity: 0;
	transform: translateY(-10px);
	min-height: 90px;
}

.js-front-countdown-container.active {
	opacity: 1;
	transform: translateY(0);
}

.front-countdown-desc {
	font-size: 12px;
	margin-bottom: 8px;
}

.js-front-countdown {
	display: table;
	display: flex;
	justify-content: center;
	align-items: flex-start;
}

.js-front-countdown > div {
	flex: 0 0 auto;
	font-size: 42px;
	color: #DFDFDF;
	font-family: 'Muli';
}

.js-front-countdown > div.sep {
	flex: 0 0 auto;
	padding-top: 0px;
	margin-left: 10px;
	margin-right: 10px;
	color: #C0976B;
}

.js-front-countdown .cntdwn-label {
	font-size: 9px;
	color: #C0976B;
	font-family: 'Muli';
	text-transform: uppercase;
	margin-top: 15px;
	letter-spacing: 1px;
}

span.cntdwn-digit {
	font-size: 50px;
	text-align: center;
	display: inline-block;
	height: 59px;
	width: 50px;
	border: 1px solid #fff;
	border-radius: 4px; 
	color: #f0f0f0;
}

span.cntdwn-digit + span.cntdwn-digit {
	margin-left: 5px;
}

.front-comming-soon-desc {
	max-width: 650px;
	line-height: 1.6;
	margin: 0 auto 60px auto;
}

.front-newsletter-icon {
	margin: 0 auto 23px auto;
}

.front-newsletter-title {
	text-transform: uppercase;
	font-size: 12px;
	line-height: 1.4;
	max-width: 300px;
	margin: 0 auto 30px auto;
}

#mc_embed_signup .mc-field-group input {
	background: transparent;
	border: none;
	border-bottom: 1px solid #fff;
	color: #fff;
	border-radius: 0;
	padding-left: 15px !important;
	text-indent: 0 !important;
	outline: none !important;
	letter-spacing: 1px;
}

#mc_embed_signup .mc-field-group input::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #ccc;
  text-transform: uppercase;
}
#mc_embed_signup .mc-field-group input::-moz-placeholder { /* Firefox 19+ */
  color: #ccc;
  text-transform: uppercase;
}
#mc_embed_signup .mc-field-group input:-ms-input-placeholder { /* IE 10+ */
  color: #ccc;
  text-transform: uppercase;
}
#mc_embed_signup .mc-field-group input:-moz-placeholder { /* Firefox 18- */
  color: #ccc;
  text-transform: uppercase;
}

#mc_embed_signup .mc-field-group input:active,
#mc_embed_signup .mc-field-group input:focus {
	border-bottom: 1px solid #fff;
}

#mc_embed_signup {
	max-width: 500px;
	margin: 0 auto;
}

#mc_embed_signup form {
	padding: 0 !important;
}

.front-newsletter-form-wrap {
	display: table;
	display: flex;
	align-items: flex-start;
	justify-content: center;
}

.front-newsletter-field-wrap {
	flex: 1 0 auto;
}

.front-newsletter-button-wrap {
	flex: 0 0 auto;
}

#mc-embedded-subscribe {
	margin: 0 !important;
}

#mc_embed_signup #mc-embedded-subscribe-form div.mce_inline_error {
	margin-top: 0 !important;
	border-radius: 0 !important;
	width: 100%;
}

#mc_embed_signup div.response {
	margin: 0 !important;
	text-align: center;
	font-family: 'Muli';
	width: 100% !important;
}

#mc_embed_signup #mce-success-response {
	color: #fff !important;
	font-weight: normal;
	line-height: 1.4;
}

/*******************************************************
*********************** MEDIA
******************************************************/

/* md */
@media(max-width:1199px){
	
}

/* sm */
@media(max-width:991px){

}

/* xs */
@media(max-width:767px){
	
}

@media(max-width:599px){

	.main-container {
		margin-top: 75px;
	}

	span.cntdwn-digit {
		font-size: 37px;
		text-align: center;
		display: inline-block;
		height: 45px;
		width: 37px;
		border: 1px solid #fff;
		border-radius: 4px; 
		color: #f0f0f0;
	}
	
}

/* xxs */
@media(max-width:479px){

	img.front-main-logo {
		margin-bottom: 60px;
	}

	.front-coming-soon-title {
		margin-bottom: 15px;
	}

	span.cntdwn-digit {
		font-size: 28px;
		text-align: center;
		display: inline-block;
		height: 35px;
		width: 28px;
		border: 1px solid #fff;
		border-radius: 4px; 
		color: #f0f0f0;
	}

	.js-front-countdown > div.sep {
		margin-left: 4px;
		margin-right: 4px;
	}

	.front-newsletter-form-wrap {
		flex-wrap: wrap;
	}

	.front-newsletter-field-wrap {
		flex: 0 0 100%;
	}

	.front-newsletter-button-wrap {
		flex: 0 0 100%;
	}

	#mc-embedded-subscribe {
		margin: 0 auto !important;
	}
	
}

/*******************************************************
*********************** PRINT STYLES
******************************************************/

@page {
  size: A4;
}

@media print {

	html, body, .container {
		width: 1000px !important;
	}

	a[href]:after {
	    content: none !important;
	}

    .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12 {
  	float: left;
	}
	.col-sm-12 {
	  width: 100%;
	}
	.col-sm-11 {
	  width: 91.66666666666666%;
	}
	.col-sm-10 {
	  width: 83.33333333333334%; 
	}
	.col-sm-9 {
	  width: 75%;
	}
	.col-sm-8 {
	  width: 66.66666666666666%;
	}
	.col-sm-7 {
	  width: 58.333333333333336%;
	}
	.col-sm-6 {
	  width: 50%;
	}
	.col-sm-5 {
	  width: 41.66666666666667%;
	}
	.col-sm-4 {
	  width: 33.33333333333333%;
	 }
	 .col-sm-3 {
	   width: 25%;
	 }
	 .col-sm-2 {
	   width: 16.666666666666664%;
	 }
	 .col-sm-1 {
	  width: 8.333333333333332%;
	 }

} 